## org.exist.xquery.value
Class BinaryValue

    java.lang.Object
      org.exist.xquery.value.AtomicValue
          org.exist.xquery.value.BinaryValue

All Implemented Interfaces:
  java.lang.Comparable, Indexable, Item, Sequence

Direct Known Subclasses:
  Base64Binary, HexBinary

public abstract class BinaryValue
extends AtomicValue

Field Summary

Fields inherited from class org.exist.xquery.value.AtomicValue
`EMPTY_VALUE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`BinaryValue()`
`BinaryValue(byte[] data)`

Method Summary
`int` `compareTo(java.text.Collator collator, AtomicValue other)`
`boolean` `compareTo(java.text.Collator collator, int operator, AtomicValue other)`
`int` `conversionPreference(java.lang.Class javaClass)` Returns a preference indicator, indicating the preference of a value to be converted into the given Java class.
`byte[]` `getBinaryData()`
`AtomicValue` `max(java.text.Collator collator, AtomicValue other)`
`AtomicValue` `min(java.text.Collator collator, AtomicValue other)`

Methods inherited from class org.exist.xquery.value.AtomicValue

`add, addAll, atomize, clearContext, compareTo, contains, convertTo, copyTo, deserialize, dump, effectiveBooleanValue, endsWith, getCardinality, getDocumentSet, getItemType, getLength, getStringValue, getType, hasMany, hasOne, isCached, isEmpty, isPersistentSet, itemAt, iterate, promote, removeDuplicates, serialize, serializeValue, setIsCached, setSelfAsContext, startsWith, toJavaObject, toNodeSet, toSAX, toSequence, toString, unorderedIterator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinaryValue

    public BinaryValue()

### BinaryValue

    public BinaryValue(byte[] data)

Method Detail

### getBinaryData

    public byte[] getBinaryData()

### compareTo

    public boolean compareTo(java.text.Collator collator,
                             int operator,
                             AtomicValue other)
                      throws XPathException

  Specified by:
    `compareTo` in class `AtomicValue`
  Throws:
    `XPathException`

### compareTo

    public int compareTo(java.text.Collator collator,
                         AtomicValue other)
                  throws XPathException

  Specified by:
    `compareTo` in class `AtomicValue`
  Throws:
    `XPathException`

### max

    public AtomicValue max(java.text.Collator collator,
                           AtomicValue other)
                    throws XPathException

  Specified by:
    `max` in class `AtomicValue`
  Throws:
    `XPathException`

### min

    public AtomicValue min(java.text.Collator collator,
                           AtomicValue other)
                    throws XPathException

  Specified by:
    `min` in class `AtomicValue`
  Throws:
    `XPathException`

### conversionPreference

    public int conversionPreference(java.lang.Class javaClass)

  Description copied from interface: `Sequence`
  Returns a preference indicator, indicating the preference of a value to be converted into the given Java class. Low numbers mean that the value can be easily converted into the given class.

  Specified by:
    `conversionPreference` in interface `Item`
  Overrides:
    `conversionPreference` in class `AtomicValue`

Copyright (C) Wolfgang Meier. All rights reserved.